Subject: Re: [16NG] Network entry procedure for IPv6 over IP CS

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 12 Jan 2007 19:45:53 +0100

David Johnston wrote:
> Alex,
> 
> I've just gone back and taken a look at this.. I think this 
> discussion is based on a huge, but easily made misconception.

David, sorry for this very late reply.  I just saw this email, pointed
to by WG Chairs.

> 802.16 has management connections and transport connection. MPDUs on
>  management connections contain management messages defined by
> 802.16, upper layers never see them. Transport connections carry
> MSDUs to and from upper layers. These are what upper layers see.
> 
> The last 2 items on the network entry list.. "set up provisioned 
> connections, operational" refer to the setting up of the transport 
> connections that will carry IP.
> 
> So what is 3) establish IP connectivity? How can it be before the 
> setting up of transport connections that carry IP?
> 
> The answer is in 6.3.9.10.. "Establishment of IP connectivity shall 
> be performed on the SS's Secondary Management Connection".
> 
> The reality is that there is a thing called a secondary management 
> connection (SMC) that may, but doesn't have to be, established on 
> network entry.
> 
> Unlike the Primary, Basic, Ranging and other management connections, 
> the SMC doesn't carry well defined MAC management messages. It is 
> bolted to an IP stack. Not the one you are thinking of, but a 
> parallel IP service dedicated to managing subscriber stations. The 
> things that are defined that can happen over the SMC are DHCP, 
> 'establish time of day' as per RFC 868 (see 6.3.9.11) , 'transfer 
> operational parameters' using TFTP to get a file containing those 
> parameters, SNMP and anything else the makers of the box chooses. The
>  contents of the configuration file are defined in clause 9 of
> 802.16.
> 
> 
> 6.3.1.1 says "Bearer or data services shall never be transferred on 
> the Basic, Primary, or Secondary Management connections."
> 
> The SMC is a little controversial, and I don't think it should be in 
> the spec, but the majority of 802.16 disagree with me (or did when I 
> tried to kill it).

So what is the documented conclusion of that IEEE discussion?

> However the establishment of IP connectivity described in the network
>  entry in 802.16 has nothing to do with the IP connectivity we are 
> dealing with in 16ng.

DO you mean the IPv6-over-IPv6CS (or over ETHCS) documents could
completely override the 802.16 network entry procedure?

The 802.16 network-entry procedure is a sequence of several steps, only
about a 3rd of them are IP.  Starting what step can IPv6-over-CS IETF
document can override?  Is it right after Reg-Rsp?  Or right after
SBC-RSP (So do authentication with EAP or PANA instead)?

Alex

_______________________________________________
16NG mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/16ng